jQuery(function($){
	var navcurrent = $("#nav li.current");
	navcurrent.prev("#nav ul.nav-list li.j").addClass("e");
	navcurrent.next("#nav ul.nav-list li.j").addClass("e");

	if($(".scroll-news li").length > 1)
	{
		$(".scroll-news div").jCarouselLite({
			auto: 2000,
			speed: 500,
			vertical: true,
			visible: 1,
			over:true
		});
	}
	
	$(".site-cates li.i").click(function(){
		$(".site-cates li").removeClass("current");
		$(this).addClass("current");
		if(this.getAttribute("rel") != "")
		{
			$(".site-list").hide();
			if(this.getAttribute("rel") == "index")
				$(".site-list[isIndex='true']").show();
			else
				$(".site-list[rel='"+this.getAttribute("rel")+"']").show();
		}
	});
	
	$("#head .toggle").click(function(){
		if($("#city-list").css("display") == "none")
		{
			$("#city-list").bgiframe();
			$("#city-list").show();
			$("body").one("click", function(){
				$("#city-list").hide();
			}); 
		}
		else
			$("#city-list").hide();
		return false;
	});
	
	if($(".settime").length > 0)
		updateEndTime();
});

function updateEndTime()
{
	var date = new Date();
	var time = date.getTime();
	
	$(".settime").each(function(i){
		var endDate =new Date(this.getAttribute("endtime"));
		var endTime = endDate.getTime();
		var lag = (endTime - time) / 1000;
		if(lag > 0)
		{
			var second = Math.floor(lag % 60);     
			var minite = Math.floor((lag / 60) % 60);
			var hour = Math.floor((lag / 3600) % 24);
			var day = Math.floor((lag / 3600) / 24);
			$(this).html(day+"天"+hour+"时"+minite+"分"+second+"秒");
		}
		else
			$(this).html("将下架");
	});
	
	setTimeout("updateEndTime()",1000);
}
